--- base/base.gyp.orig	2009-11-17 10:04:10.000000000 +0000
+++ base/base.gyp	2009-11-18 13:14:49.000000000 +0000
@@ -230,7 +230,7 @@
         'profiler.cc',
         'profiler.h',
         'process.h',
-        'process_linux.cc',
+#        'process_linux.cc',
         'process_posix.cc',
         'process_util.h',
         'process_util_linux.cc',
@@ -418,6 +418,26 @@
                   },
                 },
               ],
+              [ 'OS == "linux"', {
+                  'link_settings': {
+                    'libraries': [
+                      # We need rt for clock_gettime().
+                      '-lrt',
+                    ],
+                  },
+                },
+              ],
+              [ 'OS == "freebsd"', {
+                  'link_settings': {
+                    'libraries': [
+                    '-L/usr/local/lib -lexecinfo',
+                    ],
+                  },
+                  'include_dirs': [
+                    '/usr/local/include',
+                  ],
+                },
+              ],
             ],
             'dependencies': [
               '../build/util/build_util.gyp:lastchange',
@@ -427,12 +447,6 @@
             'cflags': [
               '-Wno-write-strings',
             ],
-            'link_settings': {
-              'libraries': [
-                # We need rt for clock_gettime().
-                '-lrt',
-              ],
-            },
             'export_dependent_settings': [
               '../build/linux/system.gyp:gtk',
             ],
@@ -733,7 +747,7 @@
       ],
       'sources': [
         'test/test_file_util.h',
-        'test/test_file_util_linux.cc',
+#        'test/test_file_util_linux.cc',
         'test/test_file_util_mac.cc',
         'test/test_file_util_posix.cc',
         'test/test_file_util_win.cc',
